<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [EventEmitter](./puppeteer.eventemitter.md) &gt; [on](./puppeteer.eventemitter.on.md)

## EventEmitter.on() method

Bind an event listener to fire when an event occurs.

<b>Signature:</b>

```typescript
on(event: EventType, handler: Handler): EventEmitter;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  event | EventType | the event type you'd like to listen to. Can be a string or symbol. |
|  handler | Handler | the function to be called when the event occurs. |

<b>Returns:</b>

[EventEmitter](./puppeteer.eventemitter.md)

`this` to enable you to chain calls.

